View Issue Details

IDProjectCategoryView StatusLast Update
0007171GNUnetGNSpublic2022-02-26 23:10
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.16.0Fixed in Version0.16.0 
Summary0007171: Move VPN/GTS functionality to dns2gns
DescriptionThe GNS resolver should no longer do the VPN tunnel establishment.
This should be done by the client.
This means that (as an example client implementation) the funcitonality should move out of the resolver and into the dns2gns proxy.
Tagslsd0001

Activities

schanzen

2022-02-03 22:47

manager   ~0018683

Fix committed to master branch.

schanzen

2022-02-26 23:10

manager   ~0018725

0.16.0 released

Related Changesets

gnunet: master f3eaf5da

2022-02-03 22:47:03

schanzen

Details Diff
GNS: Move VPN to DNS2GNS. Fixes 0007171 Affected Issues
0007171
mod - src/gns/Makefile.am Diff File
mod - src/gns/gnunet-dns2gns.c Diff File
mod - src/gns/gnunet-service-gns_resolver.c Diff File

Issue History

Date Modified Username Field Change
2022-02-03 13:11 schanzen New Issue
2022-02-03 13:11 schanzen Tag Attached: lsd0001
2022-02-03 22:47 schanzen Changeset attached => gnunet master f3eaf5da
2022-02-03 22:47 schanzen Note Added: 0018683
2022-02-03 22:47 schanzen Assigned To => schanzen
2022-02-03 22:47 schanzen Status new => resolved
2022-02-03 22:47 schanzen Resolution open => fixed
2022-02-22 23:06 schanzen Fixed in Version => 0.16.0
2022-02-26 23:10 schanzen Note Added: 0018725
2022-02-26 23:10 schanzen Status resolved => closed